# PSF-LoginServer - master - net.psforever.objects.vehicles.CargoBehavior
PSF - LoginServer - master - net.psforever.objects.vehicles.CargoBehavior
Keywords: PSF LoginServer master net.psforever.objects.vehicles.CargoBehavior

PSF-LoginServer - master < Back


# Packages

-  package root
  Definition Classes
    root
-  package net
  Definition Classes
    root
-  package psforever
  Definition Classes
    net
-  package objects
  Definition Classes
    psforever
-  package vehicles
  Definition Classes
    objects
-  package control
  Definition Classes
    vehicles
- AccessPermissionGroup
- AntTransferBehavior
- Cargo
- CargoBehavior
- CargoVehicleRestriction
- DestroyedVehicle
- InternalTelepadDefinition
- ManifestPassengerEntry
- MountableWeapons
- MountableWeaponsDefinition
- MountedWeapons
- MountedWeaponsDefinition
- SeatArmorRestriction
- Turrets
- Utility
- UtilityType
- VehicleLockState
- VehicleManifest

o

net.psforever.objects.vehicles

# CargoBehavior 

###
Companion trait CargoBehavior

#### object CargoBehavior

Source
  CargoBehavior.scala

Linear Supertypes
AnyRef, Any

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. CargoBehavior
2. AnyRef
3. Any

1. Hide All
2. Show All

Visibility

1. Public
2. Protected

### Type Members

1.  final case class CheckCargoDismount (carrier_guid: PlanetSideGUID, cargo_mountpoint: Int, iteration: Int) extends Product with Serializable
2.  final case class CheckCargoMounting (carrier_guid: PlanetSideGUID, cargo_mountpoint: Int, iteration: Int) extends Product with Serializable

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##: Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  def CargoMountBehaviorForAll(carrier: Vehicle, cargo: Vehicle, mountPoint: Int): (ObjectAttachMessage, CargoMountPointStatusMessage)

   Dispatch an `ObjectAttachMessage` packet and a `CargoMountPointStatusMessage` packet to everyone.

   Dispatch an `ObjectAttachMessage` packet and a `CargoMountPointStatusMessage` packet to everyone.

   carrier

     the ferrying vehicle

   cargo

     the ferried vehicle

   mountPoint

     the point on the ferryoing vehicle where the ferried vehicle is attached

   returns

     a tuple composed of an `ObjectAttachMessage` packet and a `CargoMountPointStatusMessage` packet

   See also

     `CargoMountPointStatusMessage`

     `ObjectAttachMessage`

5.  def CargoMountBehaviorForOthers(carrier: Vehicle, cargo: Vehicle, mountPoint: Int, exclude: PlanetSideGUID): (ObjectAttachMessage, CargoMountPointStatusMessage)

   Dispatch an `ObjectAttachMessage` packet and a `CargoMountPointStatusMessage` packet to all other clients, not this one.

   Dispatch an `ObjectAttachMessage` packet and a `CargoMountPointStatusMessage` packet to all other clients, not this one.

   carrier

     the ferrying vehicle

   cargo

     the ferried vehicle

   mountPoint

     the point on the ferryoing vehicle where the ferried vehicle is attached

   returns

     a tuple composed of an `ObjectAttachMessage` packet and a `CargoMountPointStatusMessage` packet

   See also

     `CargoMountPointStatusMessage`

     `ObjectAttachMessage`

6.  def CargoMountMessages(carrierGUID: PlanetSideGUID, cargoGUID: PlanetSideGUID, mountPoint: Int, orientation: Int): (ObjectAttachMessage, CargoMountPointStatusMessage)

   Produce an `ObjectAttachMessage` packet and a `CargoMountPointStatusMessage` packet that will set up a realized parent-child association between a ferrying vehicle and a ferried vehicle.

   Produce an `ObjectAttachMessage` packet and a `CargoMountPointStatusMessage` packet that will set up a realized parent-child association between a ferrying vehicle and a ferried vehicle.

   carrierGUID

     the ferrying vehicle

   cargoGUID

     the ferried vehicle

   mountPoint

     the point on the ferryoing vehicle where the ferried vehicle is attached

   orientation

     the positioning of the cargo vehicle in the carrier cargo bay

   returns

     a tuple composed of an `ObjectAttachMessage` packet and a `CargoMountPointStatusMessage` packet

   See also

     `CargoMountPointStatusMessage`

     `ObjectAttachMessage`

7.  def CargoMountMessages(carrier: Vehicle, cargo: Vehicle, mountPoint: Int): (ObjectAttachMessage, CargoMountPointStatusMessage)

   Produce an `ObjectAttachMessage` packet and a `CargoMountPointStatusMessage` packet that will set up a realized parent-child association between a ferrying vehicle and a ferried vehicle.

   Produce an `ObjectAttachMessage` packet and a `CargoMountPointStatusMessage` packet that will set up a realized parent-child association between a ferrying vehicle and a ferried vehicle.

   carrier

     the ferrying vehicle

   cargo

     the ferried vehicle

   mountPoint

     the point on the ferryoing vehicle where the ferried vehicle is attached; also known as a "cargo hold"

   returns

     a tuple composed of an `ObjectAttachMessage` packet and a `CargoMountPointStatusMessage` packet

   See also

     `CargoMountPointStatusMessage`

     `ObjectAttachMessage`

     `Vehicles.CargoOrientation`

8.  def CargoMountMessagesForOthers(zone: Zone, exclude: PlanetSideGUID, attachMessage: ObjectAttachMessage, mountPointStatusMessage: CargoMountPointStatusMessage): Unit

   Dispatch an `ObjectAttachMessage` packet and a `CargoMountPointStatusMessage` packet to all other clients, not this one.

   Dispatch an `ObjectAttachMessage` packet and a `CargoMountPointStatusMessage` packet to all other clients, not this one.

   attachMessage

     an `ObjectAttachMessage` packet suitable for initializing cargo operations

   mountPointStatusMessage

     a `CargoMountPointStatusMessage` packet suitable for initializing cargo operations

   See also

     `CargoMountPointStatusMessage`

     `ObjectAttachMessage`

9.  def HandleCheckCargoDismounting(zone: Zone, carrierGUID: PlanetSideGUID, cargoGUID: PlanetSideGUID, cargo: Vehicle, mountPoint: Int, iteration: Int): Boolean

   na

   na

   carrierGUID

     na

   cargoGUID

     na

   mountPoint

     na

   iteration

     na

10.  def HandleCheckCargoMounting(zone: Zone, carrierGUID: PlanetSideGUID, cargoGUID: PlanetSideGUID, cargo: Vehicle, mountPoint: Int, iteration: Int): Boolean

    na

    na

    carrierGUID

      the ferrying carrier vehicle

    cargoGUID

      the vehicle being ferried as cargo

    cargo

      the vehicle being ferried as cargo

    mountPoint

      the cargo hold to which the cargo vehicle is stowed

    iteration

      number of times a proper mounting for this combination has been queried

11.  def HandleVehicleCargoDismount(cargoGUID: PlanetSideGUID, cargo: Vehicle, carrierGUID: PlanetSideGUID, carrier: Vehicle, bailed: Boolean, requestedByPassenger: Boolean, kicked: Boolean): Unit

    na

    na

    cargoGUID

      the globally unique number for the vehicle being ferried

    cargo

      the vehicle being ferried

    carrierGUID

      the globally unique number for the vehicle doing the ferrying

    carrier

      the vehicle doing the ferrying

    bailed

      the ferried vehicle is bailing from the cargo hold

    requestedByPassenger

      the ferried vehicle is being politely disembarked from the cargo hold

    kicked

      the ferried vehicle is being kicked out of the cargo hold

12.  def HandleVehicleCargoDismount(zone: Zone, cargo_guid: PlanetSideGUID, bailed: Boolean, requestedByPassenger: Boolean, kicked: Boolean): Unit

    na

    na

    zone

      na

    cargo_guid

      na

    bailed

      na

    requestedByPassenger

      na

    kicked

      na

13.  def LogCargoEventMissingVehicleError(decorator: String, target: Option[PlanetSideGameObject], targetGUID: PlanetSideGUID): Unit

    na

    na

    decorator

      custom text for these messages in the log

    target

      an optional the target object

    targetGUID

      the expected globally unique identifier of the target object

14.  final def asInstanceOf[T0]: T0
    Definition Classes
      Any
15.  def clone(): AnyRef
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.CloneNotSupportedException]) @native()
16.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
17.  def equals(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef → Any
18.  def finalize(): Unit
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.Throwable])
19.  final def getClass(): Class[_ <: AnyRef]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
20.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
21.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
22.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
23.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
24.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
25.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
26.  def toString(): String
    Definition Classes
      AnyRef → Any
27.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
28.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
29.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()

### Inherited from AnyRef

### Inherited from Any

### Ungrouped